<?xml version="1.0" encoding="UTF-8"?>
<rmml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="L:\collaborative-nir\program\Cscl3DWS\rmml\RMML.xsd">
	<composition _name="CPlitka" userEvents="onDone">
		<styles _name="stlFigures" fontSize="14"  fontFamily="Microsoft Sans Serif"  textAlign="left" color="#000000"/>
		<text _name="figures" style="parent.stlFigures"  _x="0" _y="0" _depth="80" _visible="false"/>
		<script>
			this.ineedt=0;
			this.ina4=0;
			this.textColor="#000000";
			this.textFace="Arial";
			this.textSize="14";
			this.delay=50;
			this.extended=false;
		</script>
		<script><![CDATA[
			var iknum;
			iknum=0;

			function setTextParam(tFace,tSize)
			{
				if (tFace!="")	textFace=tFace;
				if (tSize!="")	textSize=tSize;
				stlFigures.fontSize = tSize;
				stlFigures.fontFamily = tFace;
			}

			function setColor(str)
			{
				textColor=str;
				this.stlFigures.color = textColor;
			}

			function shnum(inum)
			{
				//figures.value='<font face="'+textFace+'" size="'+textSize+'" color="'+textColor+'">'
				if( this.extended && (inum>=0 && inum<10))	figures.value += '0';
				//figures.value += inum+'</font>';
				figures.value = '' + inum;
				iknum=inum;
				figures._visible=true;
			}

			function setDelay(tm)
			{
				this.delay = tm;
			}

			function Warm(ina4,iwt)
			{
				warmt._playing=false;
				ineedt=iwt;
				iknum=ina4;
				warmt._loop=true;
				warmt.rewindAndPlay();
			}
		]]></script>
		<sequencer _name="warmt" _loop="true" >
			<script >
				this.delay;
			</script>
			<script><![CDATA[
				if(ineedt>iknum)
				{
					shnum(iknum+1);
				}
				else
				{
					shnum(iknum-1);
				}

				if(iknum == ineedt)
					{
					warmt._playing=false;
					warmt._loop=false;
					trace("konets plitka");
					fireEvent("onDone");
				}
				true;
			]]></script>
		</sequencer>
	</composition>

	<composition _name="CFloatPlitka" _class="CPlitka" userEvents="onDone">
		<text _name="figures"   _x="0" _y="0" _depth="80" _visible="false"/>
		<script>
			this.delay=50;
		</script>
		<script><![CDATA[
			var iknum;
			iknum=0.0;
			var exact;
			exact=0.01;

			function WarmFloat(ina4,iwt,ex)
			{
				warmt._playing=false;
				ineedt=iwt;
				iknum=ina4;

				if (ex!=null)
					exact=ex;
				warmtFloat._loop=true;
				warmtFloat.rewindAndPlay();
			}
		]]></script>
		<sequencer _name="warmtFloat" _loop="true" >
			<script >
				this.delay;
			</script>
			<script><![CDATA[
				if(ineedt>iknum)
				{
					shnum(iknum+exact);
				}
				else
				{
					shnum(iknum-exact);
				}

				if ((iknum < (ineedt+exact/2.0)) && (iknum > (ineedt-exact/2.0)))
				{
					warmtFloat._playing=false;
					warmtFloat._loop=false;
					iknum = ineedt;
					trace("konets plitka");
					fireEvent("onDone");
				}
				true;
			]]></script>
		</sequencer>
	</composition>

	<script>
		shmnum(0);
	</script>
</rmml>